ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

ByteCodeItbls

Description

ByteCodeItbls: Generate infotables for interpreter-made bytecodes

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr) Source

newtype ItblPtr Source

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: DynFlags -> ItblPtr -> Ptr () Source

mkITbls :: DynFlags -> [TyCon] -> IO ItblEnv Source

peekItbl :: DynFlags -> Ptr StgInfoTable -> IO StgInfoTable Source

data StgInfoTable Source

Constructors

StgInfoTable |
Fields entry :: Maybe EntryFunPtr ptrs :: HalfWord nptrs :: HalfWord tipe :: HalfWord srtlen :: HalfWord code :: Maybe ItblCodes